Subject: Strange goings on...
From: [email-masked] (Keet / Foxbird)

9 Mar 1998 15:41:50 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

Kudos to Sergey for setting me straight on my linker ediquete. I was
linking files in the wrong order (libX11 before libXpm -- things have
really changed sice B18). But I finally got X11 and XPM compiled, and they
both seem to work wonderfull for all the test apps and stuff. When running
something outside the realm of commonly used programs I get a status access
violation before the program does anything. So I fired up GDB and decided
to take a peek or two and here's what I got by single stepping:

LIBXEXT.DLL (symbols previously loaded)
GDI32.DLL (symbols previous loaded)
USER32.DLL (symbols previous loaded)
KERNAL32.DLL (symbols previous loaded)
ADVAPI32.DLL (symbols previous loaded)
CYGWINB19.DLL (symbols previous loaded)
LIBX11.DLL (symbols previous loaded)
0x453c1a in main()
Single stepping until exit in function main,
which has no line numbers.

Program received signal SIGSEV, Segmentation fault.
0x10047c70 in _size_of_stack_reserve__()

------------------------------
The xsw.core.exe file reads as follows:

(C:\WINDOWS\DESKTOP\XSW\CLIENT\XSW.EXE 1000) Exception
trapped!
(C:\WINDOWS\DESKTOP\XSW\CLIENT\XSW.EXE 1000) exception C0000005 at
10047C70
(C:\WINDOWS\DESKTOP\XSW\CLIENT\XSW.EXE 1000) exception: ax 7BB380
bx 7BB380 cx 19 dx 0
(C:\WINDOWS\DESKTOP\XSW\CLIENT\XSW.EXE 1000)
exception: si 0 di 7BB380 bp 28FFA08 sp
28FF9FC
(C:\WINDOWS\DESKTOP\XSW\CLIENT\XSW.EXE 1000) exception is:
STATUS_ACCESS_VIOLATION
(C:\WINDOWS\DESKTOP\XSW\CLIENT\XSW.EXE 1000) Stack
trace:
(C:\WINDOWS\DESKTOP\XSW\CLIENT\XSW.EXE 1000) frame 0: sp =
0x28FF70C, pc = 0x1000A26C
(C:\WINDOWS\DESKTOP\XSW\CLIENT\XSW.EXE 1000)
frame 1: sp = 0x28FF830, pc =
0xBFF76780
(C:\WINDOWS\DESKTOP\XSW\CLIENT\XSW.EXE 1000) frame 2: sp =
0x28FF854, pc = 0xBFF858F3
(C:\WINDOWS\DESKTOP\XSW\CLIENT\XSW.EXE 1000)
frame 3: sp = 0x28FF8EC, pc =
0xFFECBAD7
(C:\WINDOWS\DESKTOP\XSW\CLIENT\XSW.EXE 1000) frame 4: sp =
0x28FFA08, pc = 0x453F23
(C:\WINDOWS\DESKTOP\XSW\CLIENT\XSW.EXE 1000) frame
5: sp = 0x28FFB6C, pc = 0x10006B59
(C:\WINDOWS\DESKTOP\XSW\CLIENT\XSW.EXE
1000) frame 6: sp = 0x28FFE0C, pc =
0x10006B6C
(C:\WINDOWS\DESKTOP\XSW\CLIENT\XSW.EXE 1000) frame 7: sp =
0x28FFE18, pc = 0x45EA52
(C:\WINDOWS\DESKTOP\XSW\CLIENT\XSW.EXE 1000) frame
8: sp = 0x28FFE28, pc = 0x40103A
(C:\WINDOWS\DESKTOP\XSW\CLIENT\XSW.EXE
1000) frame 9: sp = 0x28FFE38, pc =
0xBFF88E93
(C:\WINDOWS\DESKTOP\XSW\CLIENT\XSW.EXE 1000) frame 10: sp =
0x28FFF78, pc = 0xBFF88D41
(C:\WINDOWS\DESKTOP\XSW\CLIENT\XSW.EXE 1000)
frame 11: sp = 0x28FFFF4, pc =
0xBFF87759
(C:\WINDOWS\DESKTOP\XSW\CLIENT\XSW.EXE 1000) frame 12: sp =
0x8164F0E4, pc = 0x4
(C:\WINDOWS\DESKTOP\XSW\CLIENT\XSW.EXE 1000)
Exception: STATUS_ACCESS_VIOLATION
(C:\WINDOWS\DESKTOP\XSW\CLIENT\XSW.EXE
1000) Error while dumping state (probably corrupted stack)

Not really sure if this helps anyone solve a problem, but if anyone has the
same experiences, and is working on a way around them, please do let me
know, as I am interested in keep up with what could be going on. Thanks for
all the help,

Greg Neujahr
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".